# -*- coding: utf-8 -*-
#################################################################################
#                                                                               #
#    This program is free software: you can redistribute it and/or modify       #
#    it under the terms of the GNU Affero General Public License as             #
#    published by the Free Software Foundation, either version 3 of the         #
#    License, or (at your option) any later version.                            #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Affero General Public License for more details.                        #
#                                                                               #
#    You should have received a copy of the GNU Affero General Public License   #
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
#                                                                               #
#################################################################################


from openerp import models, fields, api

class account_voucher(models.Model):
    _inherit = 'account.voucher'
    _name = 'account.voucher'

    employee_id = fields.Char(string='Cobrador Agendado', related="partner_id.employee_id.name", readonly=True)
    employee_id2 =  fields.Char(string='Cobrador Real', inverse='_compute_dummy', compute='_compute_price', store=True)


    @api.depends('employee_id')
    def _compute_price(self):
        for rec in self:
            rec.employee_id2 = rec.employee_id

    def _compute_dummy(self):
        pass
